{
  stdenv
, lib
, kernel
, xilinx-xrt
}:

with lib;

stdenv.mkDerivation rec {
  pname = "xilinx-xocl";
  version = "2.19.0";
  src = "${xilinx-xrt}/src/xrt-${version}";
  dontStrip = true;
  preBuild = ''
    cd driver/xocl
  '';
  patches = [
    ./xilinx-xocl-depmod.patch
  ];
  buildFlags = [ "KERNEL_SRC=${kernel.dev}/lib/modules/${kernel.modDirVersion}/build" ];
  installFlags = [
    "KERNEL_SRC=${kernel.dev}/lib/modules/${kernel.modDirVersion}/build"
    "INSTALL_MOD_PATH=${placeholder "out"}"
  ];
  nativeBuildInputs = kernel.moduleBuildDependencies;
  hardeningDisable = [ "all" ];
}
